package cn.com.poc.agent_application.service;

import cn.com.poc.agent_application.query.MemberCollectQueryCondition;
import cn.com.poc.agent_application.query.MemberCollectQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.agent_application.entity.BizMemberAgentApplicationCollectEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizMemberAgentApplicationCollectService extends BaseService {

    BizMemberAgentApplicationCollectEntity get(java.lang.Integer id) throws Exception;

    BizMemberAgentApplicationCollectEntity getByAgentId(java.lang.String agentId) throws Exception;

    List<BizMemberAgentApplicationCollectEntity> findByExample(BizMemberAgentApplicationCollectEntity example, PagingInfo pagingInfo) throws Exception;

    BizMemberAgentApplicationCollectEntity save(BizMemberAgentApplicationCollectEntity entity) throws Exception;

    BizMemberAgentApplicationCollectEntity update(BizMemberAgentApplicationCollectEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;

    List<MemberCollectQueryItem> queryMemberCollect(MemberCollectQueryCondition condition, PagingInfo pagingInfo) ;

}